Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.traits
Class BorderProps

    java.lang.Object
      org.apache.fop.traits.BorderProps

All Implemented Interfaces:
  java.io.Serializable

    public class BorderProps

extends java.lang.Object
implements java.io.Serializable

Border properties. Class to store border trait properties for the area tree.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `BorderProps.Mode`

Field Summary
`java.awt.Color` | `color` Border color
`int` | `style` Border style (one of EN_*)
`int` | `width` Border width

Constructor Summary
`BorderProps(int style, int width, int radiusStart, int radiusEnd, java.awt.Color color, BorderProps.Mode mode)` Constructs a new BorderProps instance.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static int` | `getClippedWidth(BorderProps bp)`
`int` | `getRadiusEnd()`
`int` | `getRadiusStart()`
`int` | `hashCode()`
`boolean` | `isCollapseOuter()`
`static BorderProps` | `makeRectangular(int style, int width, java.awt.Color color, BorderProps.Mode mode)` Factory method for a new BorderProps instance with rectangular corners.
`java.lang.String` | `toString()`
`static BorderProps` | `valueOf(FOUserAgent foUserAgent, java.lang.String s)` Returns a BorderProps represtation of a string of the format as written by BorderProps.toString().

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### style

    public final int style

  Border style (one of EN_*)

### color

    public final java.awt.Color color

  Border color

### width

    public final int width

  Border width

Constructor Detail

### BorderProps

    public BorderProps(int style,
                       int width,
                       int radiusStart,
                       int radiusEnd,
                       java.awt.Color color,
                       BorderProps.Mode mode)

  Constructs a new BorderProps instance.

  Parameters:
    `style` - border style (one of EN_*)
    `width` - border width
    `radiusStart` - radius of start corner in the direction perpendicular to border segment
    `radiusEnd` - radius of end corner in the direction perpendicular to border segment
    `color` - border color
    `mode` - border mode ((one of SEPARATE, COLLAPSE_INNER and COLLAPSE_OUTER)

Method Detail

### makeRectangular

    public static BorderProps makeRectangular(int style,
                                              int width,
                                              java.awt.Color color,
                                              BorderProps.Mode mode)

  Factory method for a new BorderProps instance with rectangular corners.

  Parameters:
    `style` - border style (one of EN_*)
    `width` - border width
    `color` - border color
    `mode` - border mode ((one of SEPARATE, COLLAPSE_INNER and COLLAPSE_OUTER)

### getRadiusStart

    public int getRadiusStart()

  Returns:
    the radius of the corner adjacent to the before or start border

### getRadiusEnd

    public int getRadiusEnd()

  Returns:
    the radius of the corner adjacent to the after or end border

### getClippedWidth

    public static int getClippedWidth(BorderProps bp)

  Parameters:
    `bp` - the border properties or null
  Returns:
    the effective width of the clipped part of the border

### isCollapseOuter

    public boolean isCollapseOuter()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### valueOf

    public static BorderProps valueOf(FOUserAgent foUserAgent,
                                      java.lang.String s)

  Returns a BorderProps represtation of a string of the format as written by BorderProps.toString().

  Parameters:
    `foUserAgent` - FOP user agent caching ICC profiles
    `s` - the string
  Returns:
    a BorderProps instance

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.